Product comparison · 2 ip phones

Yealink SIP- T31W vs Yealink SIP T42U

Add a product
  • 37specifications compared
  • 12differ
  • 25identical
  • 38known for one product only

Key differences

The Yealink SIP T42U has 10 more VoIP accounts than the Yealink SIP- T31W (12 vs 2). The Yealink SIP T42U has 0.5 W more power consumption (typical) than the Yealink SIP- T31W (2.2 W vs 1.7 W). The Yealink SIP T42U has 24 mm more width than the Yealink SIP- T31W (212 mm vs 188 mm). Only the Yealink SIP- T31W has integrated voicemail. Only the Yealink SIP T42U has Bluetooth.

  • Handset type
    • SIP- T31W:Wired handset
    • SIP T42U:Wireless handset
  • Number of VoIP accounts
    • SIP- T31W:2
    • SIP T42U:12
  • Integrated voicemail
    • SIP- T31W:Yes
    • SIP T42U:No
  • Display diagonal
    • SIP- T31W:5.84 cm (2.3")
    • SIP T42U:6.86 cm (2.7")
  • Display resolution
    • SIP- T31W:132 x 64 pixels
    • SIP T42U:192 x 68 pixels
  • Ethernet LAN interface type
    • SIP- T31W:Fast Ethernet
    • SIP T42U:Gigabit Ethernet
  • Bluetooth
    • SIP- T31W:No
    • SIP T42U:Yes
  • Power consumption (typical)
    • SIP- T31W:1.7 W
    • SIP T42U:2.2 W

Side by side

Differences highlightedShow differences only (off)
Comparison of SIP- T31W, SIP T42U
75 specifications
Design1 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired handsetWireless handset
Product colourGreyGrey
Wall mountableYesYes
Device lockKnown for oneUnknown — not stated by the sourceYes
MountingKnown for oneUnknown — not stated by the sourceDesk/Wall
Phone features1 differ
Lines quantityKnown for one2 linesUnknown — not stated by the source
Answering machineKnown for oneYesUnknown — not stated by the source
Anonymous callYesYes
Anonymous call rejectionYesYes
Call forwardingYesYes
Call holdYesYes
Call parkYesYes
Call pick upYesYes
Call returnKnown for oneYesUnknown — not stated by the source
Call transferYesYes
Call waitingYesYes
Caller IDYesYes
Do not disturb functionYesYes
Emergency callKnown for oneYesUnknown — not stated by the source
Full duplexYesYes
Number of VoIP accountsDiffers212
Phonebook capacity1000 entries1000 entries
RedialingYesYes
Short Message Service (SMS)Known for oneYesUnknown — not stated by the source
Speed diallingYesYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Direct callKnown for oneUnknown — not stated by the sourceYes
Distinctive ringKnown for oneUnknown — not stated by the sourceYes
Management features1 differ
Integrated voicemailDiffersYesNo
Voicemail indicationKnown for oneYesUnknown — not stated by the source
Keypad number of keysKnown for one11Unknown — not stated by the source
Number of function keysKnown for oneUnknown — not stated by the source5
Number of programmable keysKnown for oneUnknown — not stated by the source6
Display2 differ
DisplayLCDLCD
Display diagonalDiffers5.84 cm (2.3")6.86 cm (2.7")
Display resolutionDiffers132 x 64 pixels192 x 68 pixels
Display number of linesKnown for one2 linesUnknown — not stated by the source
Backlight displayKnown for oneYesUnknown — not stated by the source
Audioidentical
SpeakerphoneKnown for oneYesUnknown — not stated by the source
Microphone muteKnown for oneYesUnknown — not stated by the source
Comfort noise generation (CNG)Known for oneYesUnknown — not stated by the source
Packet loss concealment (PLC)Known for oneYesUnknown — not stated by the source
Voice codecsKnown for oneAEC, AGC, AJB, G.711, G.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, G.729ab, VAD, iLBCUnknown — not stated by the source
Network3 differ
Ethernet LANYesYes
Ethernet LAN data ratesKnown for one10,100 Mbit/sUnknown — not stated by the source
Ethernet LAN interface typeDiffersFast EthernetGigabit Ethernet
Wi-FiYesYes
Wi-Fi standardsKnown for one802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n), Wi-Fi 5 (802.11ac)Unknown — not stated by the source
BluetoothDiffersNoYes
Security algorithmsDiffersAES, WPA2, WPA3256-bit AES, HTTPS, TLS, WPA2, WPA3
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfacesidentical
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantity22
USB 2.0 ports quantityKnown for oneUnknown — not stated by the source2
Power1 differ
Power over Ethernet (PoE)Known for oneYesUnknown — not stated by the source
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
Power consumption (typical)Differs1.7 W2.2 W
Power consumption (Power over Ethernet (PoE))Known for one2.6 WUnknown — not stated by the source
Operational conditions1 differ
Operating relative humidity (H-H)10 - 95%10 - 95%
Operating temperature (T-T)Differs-10 - 45 °C-10 - 50 °C
Storage temperature (T-T)Known for one-30 - 70 °CUnknown — not stated by the source
Weight & dimensions2 differ
WidthDiffers188 mm212 mm
Depth189 mm189 mm
HeightDiffers162 mm175 mm
Package widthKnown for oneUnknown — not stated by the source627 mm
Package depthKnown for oneUnknown — not stated by the source256 mm
Package heightKnown for oneUnknown — not stated by the source235 mm
Package weightKnown for oneUnknown — not stated by the source63 kg
Packaging contentidentical
Number of handles included1 pc(s)1 pc(s)
AC adapter includedKnown for oneUnknown — not stated by the sourceNo
Cameraidentical
Rear cameraKnown for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons